# gfs_readdir

## Name

gfs_readdir -- read directory entry

## Synopsis

    #include <gfarm/gfarm.h>

```char *gfs_readdir``(GFS_Dir `dir`, struct gfs_dirent ** `entryp`);`

## DESCRIPTION

The `gfs_readdir()` function reads a directory entry from `dir`, and returns the pointer of the entry to the address pointed to by `entryp`. The buffer pointed to by `entryp` is destroyed when calling succeeding `gfs_readdir()` or `gfs_closedir()` with the same argument `dir`.

## RETURN VALUES

`NULL`

  The function terminated successfully.

Others

  An error except the above occurred. The reason is shown by its pointed strings.

## SEE ALSO

gfs_closedir(3), gfs_opendir(3), gfs_readdir(3)